## Modulemd Compression Helpers Modulemd Compression Helpers — Utility functions for working with compressed files. |

## Stability Level

Stable, unless otherwise indicated

## Functions

ModulemdCompressionTypeEnum | modulemd_compression_type ()

## Types and Values

enum | ModulemdCompressionTypeEnum

## Object Hierarchy

        GEnum
        ╰── ModulemdCompressionTypeEnum

## Description

## Functions

### modulemd_compression_type ()

    ModulemdCompressionTypeEnum
    modulemd_compression_type (const gchar *name);

#### Parameters

name | The name of the compression type. Valid options are: "gz", "gzip", "bz2", "bzip2", "xz", "zck", and "zstd". | [in]

#### Returns

The ModulemdCompressionTypeEnum value corresponding to the provided string if available or MODULEMD_COMPRESSION_TYPE_UNKNOWN_COMPRESSION if the string does not match a known type.

Since: 2.8

## Types and Values

### enum ModulemdCompressionTypeEnum

#### Members

MODULEMD_COMPRESSION_TYPE_ZSTD_COMPRESSION | Zstandard compression; since 2.15 |
MODULEMD_COMPRESSION_TYPE_DETECTION_FAILED | Autodetection failure |
MODULEMD_COMPRESSION_TYPE_UNKNOWN_COMPRESSION | Unknown compression |
MODULEMD_COMPRESSION_TYPE_NO_COMPRESSION | No compression |
MODULEMD_COMPRESSION_TYPE_GZ_COMPRESSION | gzip compression |
MODULEMD_COMPRESSION_TYPE_BZ2_COMPRESSION | bzip2 compression |
MODULEMD_COMPRESSION_TYPE_XZ_COMPRESSION | LZMA compression |
MODULEMD_COMPRESSION_TYPE_ZCK_COMPRESSION | zchunk compression |
MODULEMD_COMPRESSION_TYPE_SENTINEL | Enum list terminator |

Since: 2.8